PHP cnfig on server doesn't support the database chosen

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
inetizen
Registered User
Posts: 3
Joined: Wed Apr 27, 2005 3:19 am
Location: Bangkok, TH
Contact:

PHP cnfig on server doesn't support the database chosen

Post by inetizen » Wed Apr 27, 2005 3:44 am

hi,
I wuld highly appreciate help with this issue. ive set up apache, php, and mysql 4.0.24 but when i click on Install I get this:
"he PHP configuration on your server doesn't support the database type that you chose"
the db configuration on apache is using mysqli since its msyql 4.0.24 which should support v. 3 and v.4.
any suggestions to resolve this will be very highly appreciated.
inetizen
And miles to go before I sleep.
And miles to go before I sleep. (Robert Frost)

cybrid3
Registered User
Posts: 1358
Joined: Sun Aug 22, 2004 4:25 am
Location: Midwest somewhere, I think...
Contact:

Post by cybrid3 » Wed Apr 27, 2005 3:55 am

YOur probably using php5.x

phpBB does not play well with php5

Downgrade to 4 if possible, or Find the Mod to make php5 work..
--Never leave home without a towel and peril sensitive sunglasses!!

espicom
Registered User
Posts: 17905
Joined: Wed Dec 22, 2004 1:14 am
Location: Woodstock, IL

Post by espicom » Wed Apr 27, 2005 4:08 am

Find php.ini, probably in your Windows directory. Open it in an editor like NOTEPAD, and find the "extensions" section. Uncomment the line for MySQL and/or whatever other databases and features you want (GD and GZIP are handy, too). Save the file.

If you're running PHP as a CGI program, you should be able to access MySQL now; otherwise, stop and restart the web server.

Oh, I forgot - make sure the DLLs listed where you uncomment the extensions are somewhere that Windows can find them. They're probably in your PHPx\extensions directory; just copy them to the same place php.exe is.
Jeff
Fixing 1016/1030/1034 Errors | (obsolete link) | MySQL 4.1/5.x Client Error | phpBBv2 Logo in ACP
Support requests via PM are ignored!
"To be fully alive is to feel that everything is possible." - Eric Hoffer

inetizen
Registered User
Posts: 3
Joined: Wed Apr 27, 2005 3:19 am
Location: Bangkok, TH
Contact:

php 5`

Post by inetizen » Wed Apr 27, 2005 4:35 am

could u tell me more about setting the mod for php 5 since thats what im running.
And miles to go before I sleep.
And miles to go before I sleep. (Robert Frost)

inetizen
Registered User
Posts: 3
Joined: Wed Apr 27, 2005 3:19 am
Location: Bangkok, TH
Contact:

Post by inetizen » Wed Apr 27, 2005 4:39 am

ima try php4
And miles to go before I sleep.
And miles to go before I sleep. (Robert Frost)

nurhendra
Registered User
Posts: 144
Joined: Mon Feb 28, 2005 5:03 pm
Location: Jakarta

Post by nurhendra » Wed Apr 27, 2005 5:08 am

You can try http://sourceforge.net/projects/phpbb-php5mod/

Be aware that if you chose to use that version, then your technical question might not get answered here. You can still join their forum and ask your questions there.

Locked

Return to “2.0.x Support Forum”